<?php

declare(strict_types = 1);

namespace Drupal\Tests\cmis\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\user\Traits\UserCreationTrait;

/**
 * Provides a base class for cmis functional tests.
 *
 * @group cmis
 */
abstract class CmisFunctionalTestBase extends BrowserTestBase {

  /**
   * Modules to enable.
   *
   * Note that when a child class declares its own $modules list, that list
   * doesn't override this one, it just extends it.
   *
   * @var array
   */
  public static $modules = [
    'system',
    'field',
    'cmis',
  ];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  use UserCreationTrait;

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $adminUser = $this->drupalCreateUser();
    $this->drupalLogin($adminUser);
  }

}
