<?php

declare(strict_types = 1);

namespace Drupal\Tests\cmis\Functional;

use Drupal\cmis\CmisConnectionApi;
use Drupal\cmis\Entity\CmisConnectionEntity;

/**
 * Tests login Nuxeo.
 *
 * @group cmis
 */
class LoginNuxeoTest extends CmisFunctionalTestBase {

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $cmis_connection = CmisConnectionEntity::create([
      'label' => 'nuxeo',
      'id' => 'nuxeo',
      'cmis_url' => $_ENV['CMIS_URL_NUXEO'] ?? 'http://nuxeo:8080/nuxeo/json/cmis',
      'cmis_user' => $_ENV['CMIS_USER_NUXEO'] ?? 'Administrator',
      'cmis_password' => $_ENV['CMIS_PASSWORD_NUXEO'] ?? 'Administrator',
    ]);
    $cmis_connection->save();
  }

  /**
   * Test Cmis query in Nuxeo.
   */
  public function testCmisQueryNuxeo():void {
    $connection_nuxeo = new CmisConnectionApi('nuxeo');
    if (!empty($connection_nuxeo->getHttpInvoker())) {
      $connection_nuxeo->setDefaultParameters();
      $session = $connection_nuxeo->getSession();
      $results = $session->query("SELECT * FROM cmis:folder WHERE cmis:name='Workspaces'");
      $title = $results[0]->getPropertyValueById('dc:title');
      $this->assertEquals('Workspaces', $title);
    }
  }

}
